Index: mscore/awl/CMakeLists.txt
===================================================================
--- mscore/awl/CMakeLists.txt	(Revision 2740)
+++ mscore/awl/CMakeLists.txt	(Arbeitskopie)
@@ -103,6 +103,8 @@
       pitchlabel.h
       )
 
+if (BUILD_AWL_PLUGIN)
+
 add_library (
       awlplugin SHARED
       ${PROJECT_BINARY_DIR}/all.h
@@ -137,5 +139,6 @@
 add_executable(ltest ltest.cpp)
 target_link_libraries (ltest awlplugin ${QT_LIBRARIES})
 
+endif (BUILD_AWL_PLUGIN)
 
 endif (NOT MINGW AND NOT APPLE)
Index: mscore/CMakeLists.txt
===================================================================
--- mscore/CMakeLists.txt	(Revision 2740)
+++ mscore/CMakeLists.txt	(Arbeitskopie)
@@ -31,9 +31,11 @@
 set(GCC_VISIBILITY TRUE)                  # requires gcc 4.x?
 set(HAS_AUDIOFILE TRUE)                   # requires libsndfile
 
-set(STATIC_SCRIPT_BINDINGS FALSE)
+set(STATIC_SCRIPT_BINDINGS TRUE)
 set(USE_SSE FALSE)
 
+set(BUILD_AWL_PLUGIN FALSE)
+
 if (MINGW)
       set(GCC_VISIBILITY FALSE)           # we use gcc 3.6
       set(STATIC_SCRIPT_BINDINGS TRUE)
@@ -59,6 +61,15 @@
 set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
 
 # The Mscore version number.
+
+SET(Mscore_REVISION "")
+
+FIND_PACKAGE(Subversion)
+      IF (Subversion_FOUND)
+            Subversion_WC_INFO(${PROJECT_SOURCE_DIR} mscore)
+            SET(Mscore_REVISION "~r${mscore_WC_REVISION}")
+      ENDIF(Subversion_FOUND)
+
 SET(Mscore_VERSION_MAJOR  "0")
 SET(Mscore_VERSION_MINOR  "9")
 SET(Mscore_VERSION_PATCH  "6")
@@ -288,11 +299,11 @@
   ENDIF(MINGW)
 
   SET(CPACK_SOURCE_PACKAGE_FILE_NAME "mscore")
-  SET(CPACK_PACKAGE_FILE_NAME     "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${Mscore_VERSION_FULL}")
+  SET(CPACK_PACKAGE_FILE_NAME     "${CPACK_SOURCE_PACKAGE_FILE_NAME}-${Mscore_VERSION_FULL}${Mscore_REVISION}")
   SET(CPACK_PACKAGE_EXECUTABLES   "mscore" "MuseScore")
 
   set(CPACK_DEBIAN_PACKAGE_NAME         "mscore")
-  set(CPACK_DEBIAN_PACKAGE_VERSION      "${Mscore_VERSION_FULL}-0ubuntu0.1")
+  set(CPACK_DEBIAN_PACKAGE_VERSION      "${Mscore_VERSION_FULL}${Mscore_REVISION}-0ubuntu0.1")
   set(CPACK_DEBIAN_PACKAGE_ARCHITECTURE "i386")
 
   set(CPACK_DEBIAN_PACKAGE_DEPENDS    "libqt4-core (>= 4.4), libqt4-gui (>= 4.4)")
Index: Makefile
===================================================================
--- Makefile	(Revision 2740)
+++ Makefile	(Arbeitskopie)
@@ -122,15 +122,15 @@
 #     linux binary package build
 #
 unix:
-	if test ! -d linux;                          \
-         then                                      \
-            mkdir linux;                           \
-            cd linux
-            cmake -DCMAKE_BUILD_TYPE=RELEASE  ../mscore; \
-            make -j${CPUS} -f Makefile;            \
-            make package;                          \
-         else                                      \
-            echo "build directory linux does alread exist, please remove first";  \
-         fi
+	make revision;				\
+	if test ! -d linux;			\
+	 then					\
+	    mkdir linux;			\
+	fi;					\
+	cd linux;				\
+	cmake -DCMAKE_BUILD_TYPE=RELEASE	\
+	      -DCMAKE_INSTALL_PREFIX="/usr" ../mscore; \
+	make -j${CPUS} -f Makefile;		\
+	make package
 
 
